org.codehaus.groovy.ast.expr

## Interface ExpressionTransformer

- All Known Implementing Classes:
    ClassCodeExpressionTransformer, FieldASTTransformation, JavaAwareResolveVisitor, NewifyASTTransformation, OptimizerVisitor, ResolveVisitor, StaticCompilationTransformer, StaticImportVisitor

      public interface ExpressionTransformer

  Provides a way to transform expressions

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Expression` | `transform(Expression expression)` Transforms the given expression into another expression

- - ### Method Detail

    - #### transform

          Expression transform(Expression expression)

      Transforms the given expression into another expression